Ошибка при установке PHP-4.3.0

Проблемы с установкой, настройкой и работой системных и сетевых программ.

Модераторы: GRooVE, alexco

Правила форума
Убедительная просьба юзать теги [code] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
Аватара пользователя
Alnico
проходил мимо
Сообщения: 5
Зарегистрирован: 2022-01-25 20:36:27
Откуда: Rus

Ошибка при установке PHP-4.3.0

Непрочитанное сообщение Alnico » 2022-01-25 20:51:11

Здравствуйте! Помогите пожалуйста разобраться, в чем причина ошибки.
Имеем сервер под FreeBSD7.4
Устанавливаю из исходника PHP-4.3.0, конфигурирую со следующими параметрами:

Код: Выделить всё

./configure --prefix=/usr/local/php/4.3.0 --disable-cli --with-config-file-path=/usr/local/php/4.3.0 --without-pear --enable-libgcc --enable-magic-quotes --enable-dmalloc --disable-ipv6 --enable-cgi --with-gd=/usr/local/ --with-dom --enable-exif --enable-filepro --enable-ftp --with-dom=/usr/local/ --with-zlib-dir=/usr/local/ --disable-dmalloc --with-jpeg-dir=/usr/local/ --with-png-dir=/usr/local/ --with-xpm-dir=/usr/local/ --with-freetype-dir=/usr/local/ --with-mysql --with-mysql-sock --with-gettext --with-dom-xslt --with-dom-exslt --with-xml
Конфигурирование завершается удачно.
Затем запускаю: make
через некоторое время процесс завершается со следующей ошибкой:
/usr/local/php-dist/php-4.3.0/ext/mysql/libmysql/my_tempnam.c:99: error: lvalue required as left operand of assignment
/usr/local/php-dist/php-4.3.0/ext/mysql/libmysql/my_tempnam.c:105: error: lvalue required as left operand of assignment
*** Error code 1
Stop in /usr/local/php-dist/php-4.3.0.

Куда копать/смотреть? Что где править надо?
Мучаюсь уже неделю...

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2000 рублей (HP Proliant G5, Intel Xeon E5430 (2.66GHz, Quad-Core, 12Mb), 8Gb RAM, 2x300Gb SAS HDD, P400i, 512Mb, BBU):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/

Аватара пользователя
Neus
капитан
Сообщения: 1935
Зарегистрирован: 2008-09-08 21:59:56

Ошибка при установке PHP-4.3.0

Непрочитанное сообщение Neus » 2022-01-25 22:08:57

Alnico писал(а):
2022-01-25 20:51:11
Имеем сервер под FreeBSD7.4
А что такой старый?

У тебя в configure:
enable-dmalloc и disable-dmalloc
Определись.

А по ошибкам хз.
Physics is mathematics with the constraint of reality.
Engineering is physics with the constraint of money.

LOR захватили ситхи.
Добро пожаловать на светлую сторону!


Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35411
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Ошибка при установке PHP-4.3.0

Непрочитанное сообщение Alex Keda » 2022-04-28 20:09:21

действительно, а зачем такое старое-то?
как вариант - найдите исошник с версией где оно в портах есть и дёрните оттуда порты
немного шаманства и собирать будет куда проще

я вот тоже прям щас (с понедельника аж...) обновляю десктоп с 12.3 и kde4. очень уж мне 5 кде не нравится...
вдумчиво и печально, со снимками после каждого пакета, а то уже пару раз терял поддержку аппаратного ускорения иксов =(

основное всё обновил - утилиты свои да firefox/thunderbird
Убей их всех! Бог потом рассортирует...